/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 *
 * Function to manage doubled linked list
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef _LIST_H_
#define _LIST_H_

typedef struct _List List;

struct _List
{
  void *data;
  List *next;
  List *prev;
};

typedef struct _slist slist;

struct _slist
{
  void  *data;
  slist *next;
};

List *List_Alloc(void);
List *List_Append(List *list, void *data);
void List_Print(const List *ref);

slist *slist_alloc(void);
slist *slist_append(slist *list, void *data);
slist *slist_free(slist *list);
void slist_debug(const slist *l);


#endif /* #ifndef _LIST_H_ */

