/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 *
 * Header file to manage sprites
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __SPRITES_H
#define __SPRITES_H

#define SPRITE_WIDTH	32
#define SPRITE_HEIGHT	32

struct t_dinosaur
{
  /* This is list of SDL_Surface ... */
//  SDL_Surface *normal;
  slist *current;	/* Point to the current list of sprite */
  slist *walk_right;
  slist *walk_left;
  slist *walk_down;
  slist *walk_up;
  slist *sleeping;
  slist *come_from_lowlevel;
  slist *go_to_uplevel;
};

typedef struct t_level t_level;
int Sprite_Load_All(const char *theme, t_level *l);

int Sprite_Load_Dinosaur(const char *theme, struct t_dinosaur *dinosaur);


#endif /* #ifndef __SPRITES_H */

